v1.0.0
OpenAPI 3.1.0

Get broadcast error descriptions

US region

Client Libraries

Get broadcast error descriptions

If your broadcast produced validation errors, this endpoint can help you better understand what went wrong. Broadcast errors are generally issues in your broadcast audience and associated.

Path Parameters
  • broadcast_id
    Type: integer
    required

    The ID of the broadcast that you want to return information about.

  • trigger_id
    Type: integer
    required

    The ID of the campaign trigger that you want to return information for.

Query Parameters
  • start
    Type: string

    The token for the page of results you want to return. Responses contain a next property. Use this property as the start value to return the next page of results.

  • limit
    Type: integer

    The maximum number of results you want to retrieve per page.

  • start
    Type: string

    The token for the page of results you want to return. Responses contain a next property. Use this property as the start value to return the next page of results.

  • limit
    Type: integer

    The maximum number of results you want to retrieve per page.

Responses
  • application/json
  • 400

    The broadcastID, actionID or triggerID is invalid.

  • 401

    Unauthorized request. Make sure that you provided the right credentials.

  • 404

    The broadcast, action, and/or trigger do not exist.

  • 429

    Your request is over the 10-per-second limit.

Request Example for get/v1/campaigns/{broadcast_id}/triggers/{trigger_id}/errors
curl 'https://api.customer.io/v1/campaigns/1/triggers/3/errors?start=&limit=1&start=&limit=1' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "errors": [
    "string"
  ],
  "next": 1
}